Subject: RE: [Sip] sips: documentation plan

From: "Elwell, John" <[email-masked]>
Date: Wed, 28 Mar 2007 07:42:04 +0100

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]] 
> Sent: 27 March 2007 14:30
> To: IETF SIP List
> Subject: [Sip] sips: documentation plan
> 
> I left IETF unclear on what our plan was for moving forward 
> on SIPS. I 
> stated an opinion at the microphone, which I still firmly 
> believe. That 
> is, the current documentation plan, which has us:
> 
> 1. produce an informational document updating sips
[JRE]Can an informational document really "update" a standards track
document?

> 2. produce an extension that makes some normative changes to sips
> 
> Only makes a confusing mechanism even more confusing, since now an 
> implementor needs to read RFC 3261, then the informative 
> document, then 
> the normative one, and somehow patch them all together to 
> come up with 
> what sips ACTUALLY does and why.
> 
> Given the existing confusion on this mechanism, I think that 
> this would 
> be a great disservice to the industry. I think that we are 
> letting our 
> process get us trapped in to doing the wrong thing. I think what 
> implementors need is a SINGLE DOCUMENT that contains ALL of the text 
> around sips, that documenting updating RFC 3261 and 
> re-specifying SIPS 
> exactly how we want it.
> 
> Our process exists to serve us, not the other way around.
[JRE] I agree with Jonathan

John

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip